# Biport  감지하기

사용자의 브라우저에 Biport provider 객체인 `window.biport` 이 존재하는 것으로 Biport Wallet 사용자임을 나타냅니다.\
\
이를 증명하기 위해, 다음 코드 스니펫을 브라우저의 개발자 콘솔에 복사하여 붙여넣으면 현재 브라우저가 Biport를 실행 중인지 확인할 수 있습니다.

```javascript
if (typeof window.biport !== 'undefined') {
  console.log('Biport is installed!');
}
```

Biport는 [MetaMask 지원 기능](https://docs.bifi.finance/biport-guide-kr/undefined-1/undefined-3) 제공합니다. 지원 기능을 사용할 경우 MetaMask의 provider 객체와 같은 `window.ethereum` 을 제공합니다. `window.ethereum` 를 통해 Biport Wallet에 요청할 수 있습니다.&#x20;

Biport와 다른 provider를 구별하기 위해, `window.biport.isBiport` 를 제공하며 해당 속성으로 Biport를 감지할 수 있습니다.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bifi.finance/biport-guide-kr/api-documentation/undefined/biport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
